package cn.superdesk.uniorder.service._permission;

import cn.superdesk.uniorder.dao.entity.setting.UnifiedService;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionOrg;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionVirt;

import java.util.List;


/**
 * @Description: DubboPermissionServiceImpl
 * @Author: linjinyu
 * @CreateDate: 9/4/20 2:47 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 9/4/20 2:47 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface PermissionService {

    List<SelectOptionOrg> convertSelectPermOrg(List<Long> outOrgIds);

    List<SelectOptionVirt> convertSelectPermVirt(List<Long> outVirtIds);

    /**************************************** 项目 企业 start ****************************************/

    String getPermOutOrgIds(String token);

    String getPermOutVirtIds(String token);

    /**************************************** 项目 企业   end ****************************************/


    List<SelectOptionOrg> getSelectPermOrgByToken(String token);

    List<SelectOptionVirt> getSelectPermVirtByToken(String token);

    List<UnifiedService> getAsOrderType(String token);


    String getPermOutSaleId(String token);

    String getPermOutSaleName(String token);

}
